| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iNativeWindow Struct Reference
[2D]

This interface represents a native window. More...

`#include <ivideo/natwin.h>`

Inheritance diagram for iNativeWindow:

[legend]
List of all members.

## Public Member Functions
virtual void | SetTitle (const wchar_t *title)=0
| Set the title for this window.
virtual void | SetTitle (const char *title)=0
| Set the title for this window.

## Detailed Description

This interface represents a native window.

Main ways to get pointers to this interface:

- iGraphics2D::GetNativeWindow()

Definition at line 87 of file natwin.h.

## Member Function Documentation

virtual void iNativeWindow::SetTitle | ( | const wchar_t * | title | ) | `[pure virtual]`

Set the title for this window.

Implemented in csGraphics2D.

virtual void iNativeWindow::SetTitle | ( | const char * | title | ) | `[pure virtual]`

Set the title for this window.

Remarks:
  `title` is expected to be UTF-8 encoded.

Implemented in csGraphics2D.

The documentation for this struct was generated from the following file:

- ivideo/natwin.h